## ros-jazzy-rqt-graph 1.5.4

=== debian/changelog ===
ros-jazzy-rqt-graph (1.5.4-1bookworm) bookworm; urgency=high

  * Fixed fit_in_view icon button (backport #95 <https://github.com/ros-visualization/rqt_graph/issues/95>) (#96 <https://github.com/ros-visualization/rqt_graph/issues/96>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 20 May 2024 00:00:00 -0000

ros-jazzy-rqt-graph (1.5.3-1bookworm) bookworm; urgency=high

  * Update maintainer list in package.xml files (#92 <https://github.com/ros-visualization/rqt_graph/issues/92>)
  * Contributors: Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-jazzy-rqt-graph (1.5.2-1bookworm) bookworm; urgency=high

  * Add a test dependency on python3-pytest. (#91 <https://github.com/ros-visualization/rqt_graph/issues/91>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Feb 2024 00:00:00 -0000

ros-jazzy-rqt-graph (1.5.1-1bookworm) bookworm; urgency=high

  * Refresh rosgraph when params checkbox is clicked (#86 <https://github.com/ros-visualization/rqt_graph/issues/86>)
  * Contributors: Yadunund

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-jazzy-rqt-graph (1.5.0-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-jazzy-rqt-graph (1.4.1-1bookworm) bookworm; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#83 <https://github.com/ros-visualization/rqt_graph/issues/83>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-jazzy-rqt-graph (1.4.0-1bookworm) bookworm; urgency=high

  * Minor cleanup (#80 <https://github.com/ros-visualization/rqt_graph/issues/80>)
  * Mirror rolling to galactic-devel
  * graph load/save into DOT file corrections for py3 (#78 <https://github.com/ros-visualization/rqt_graph/issues/78>)
  * Contributors: Audrow Nash, David V. Lu!!, mergify[bot]

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-jazzy-rqt-graph (1.2.1-1bookworm) bookworm; urgency=high

  * Fix quiet filtering for node_topic graphs (#70 <https://github.com/ros-visualization/rqt_graph/issues/70>)
  * Contributors: David V. Lu!!

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-jazzy-rqt-graph (1.2.0-1bookworm) bookworm; urgency=high

  * Make topics that have qos incompatibilities red in the graph, add information to the node tooltip (#61 <https://github.com/ros-visualization/rqt_graph/issues/61>)
  * Add node name, topic name, and endpoint kind to the qos edge tooltip (#60 <https://github.com/ros-visualization/rqt_graph/issues/60>)
  * Contributors: Ivan Santiago Paunovic

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 30 Mar 2021 00:00:00 -0000

ros-jazzy-rqt-graph (1.1.1-1bookworm) bookworm; urgency=high

  * Update maintainers for ROS2 branches (#55 <https://github.com/ros-visualization/rqt_graph/issues/55>)
  * Contributors: Michael Jeronimo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-jazzy-rqt-graph (1.1.0-1bookworm) bookworm; urgency=high

  * add edge tooltip with QoS of publishers and subscribers (#53 <https://github.com/ros-visualization/rqt_graph/issues/53>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 23 Sep 2020 00:00:00 -0000

ros-jazzy-rqt-graph (1.0.5-1bookworm) bookworm; urgency=high

  * install executable rqt_graph (#49 <https://github.com/ros-visualization/rqt_graph/issues/49>)
  * add setup.cfg with script install directories (#42 <https://github.com/ros-visualization/rqt_graph/issues/42>)
  * add pytest.ini so local tests don't display warning (#48 <https://github.com/ros-visualization/rqt_graph/issues/48>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Sep 2020 00:00:00 -0000

ros-jazzy-rqt-graph (1.0.4-1bookworm) bookworm; urgency=high

  * skip removal of non-present tf connections (#40 <https://github.com/ros-visualization/rqt_graph/issues/40>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 06 Jan 2020 00:00:00 -0000

ros-jazzy-rqt-graph (1.0.3-1bookworm) bookworm; urgency=high

  * Add topic edges for the Nodes Only view mode. (#35 <https://github.com/ros-visualization/rqt_graph/issues/35>)
  * Fix node not found during refresh when namespace is not empty (#34 <https://github.com/ros-visualization/rqt_graph/issues/34>)
  * Contributors: Dirk Thomas, Michel Hidalgo, Xavier BROQUERE

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-jazzy-rqt-graph (1.0.2-1bookworm) bookworm; urgency=high

  * fix typo that caused a crash when trying to load a dot file (#31 <https://github.com/ros-visualization/rqt_graph/issues/31>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 03 Oct 2019 00:00:00 -0000

ros-jazzy-rqt-graph (1.0.0-1bookworm) bookworm; urgency=high

  * copy base rosgraph.impl.graph file (#23 <https://github.com/ros-visualization/rqt_graph/issues/23>)
  * port to ROS 2 (#22 <https://github.com/ros-visualization/rqt_graph/issues/22>)
  * autopep8 and gitignore (#19 <https://github.com/ros-visualization/rqt_graph/issues/19>)
  * replace str() by unicode() (#17 <https://github.com/ros-visualization/rqt_graph/issues/17>)
  * edge class is unhashable so cannot put into a set, use a list instead (#16 <https://github.com/ros-visualization/rqt_graph/issues/16>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 04 Feb 2019 00:00:00 -0000

ros-jazzy-rqt-graph (0.4.10-1bookworm) bookworm; urgency=high

  * add nested subnamespaces and more options to hide or group topics (#13 <https://github.com/ros-visualization/rqt_graph/issues/13>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 22 May 2018 00:00:00 -0000


